Bug 44458 - RFE: Please include DontZap by default
RFE: Please include DontZap by default
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-13 13:32 EDT by francis+rhbz
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-13 13:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description francis+rhbz 2001-06-13 13:32:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
Xconfigurator generates config files which do not include the
DontZap setting.  The result is that, every time I run Xconfigurator
(mostly, every time I upgrade RedHat), I have to manually edit the file.
Usually, I forget, until the first time I accidentally press
Control-Alt-Backspace (usually in Emacs) and lose my work.

I appreciate that Control-Alt-Backspace is a safety net for when X has gone
mad; but I believe it probably does more harm than good.  It's not actually
necessary (if I need to kill the X server, I can press Control-Alt-F2 to
get a virtual console); and it bites me 3-4 times a year.  A novice user
would be even worse off, because they wouldn't know how to set DontZap
(particularly now that Xconfigurator generates a config file without
comments and "uncomment this to do such-and-so" instructions).

How reproducible:

Steps to Reproduce:
1. Run Xconfigurator (or install/upgrade RHL).
2. Start X.
3. Press Control-Alt-Backspace.

Actual Results:  X exits gracelessly.

Expected Results:  X should survive.  There should not be hidden keystrokes
in my UI that will cause me to lose my work.

Additional info:

I'm marking the severity as High because I do lose data.

I marked this as 7.1 and i386, but I've been putting up with it since 5.2
at least, and I have no reason to expect it's any different on non-i386
Comment 1 Mike A. Harris 2001-06-14 17:19:43 EDT
DontDoThat is the solution.  I'm not changing the default because it is
easy to configure it however you like.  One could just as easily argue that
if it were changed to DontZap, that if XFree86 dies in any way that they
can't use the three finger salute to kill the X server and thus had to
hit reset and lose data.

There is no one solution that will work for everyone.  That is why it is
a configuration option.
Comment 2 francis+rhbz 2001-06-15 20:37:14 EDT
As an alternative, could you maybe add a checkbox in Xconfigurator? Me, I don't
find it that easy to change; you have to restart your X server to get it to pick
up the change, and the config file is pretty obscure (that's why Xconfigurator
exists, after all).  A novice would never find it.

Better still would be a change to the X server which would have it check the
config file when C-A-BS is pressed, so that it could be changed without
restarting the server (you could even have a setting in the GNOME control panel).

Note You need to log in before you can comment on or make changes to this bug.